/* conf.h
 *
 * Part of the Internet Gopher program, copyright (C) 1991
 * University of Minnesota Microcomputer Workstation and Networks Center
 *
 * These are some user definable parameters, also see Makefile.config
 */



/*
 * Override some defaults for various platforms
 */

#ifdef sun
#define PLAY_COMMAND "play -v 40 -"
#endif

#ifdef hpux
#define MAIL_COMMAND "mailx"
#endif

#if defined(NeXT)
#define NO_VPRINTF
#define PLAY_COMMAND "play -v 40 -"
#endif


/*
 * Now set the parameters, only if not set above... 
 */
#ifndef PAGER_COMMAND
#define PAGER_COMMAND "more -d"
#endif

#ifndef MAIL_COMMAND
#define MAIL_COMMAND "mail"
#endif

#ifndef TELNET_COMMAND
#define TELNET_COMMAND "telnet"
#endif

#ifndef TN3270_COMMAND
#define TN3270_COMMAND "tn3270"
#endif

#ifndef PRINTER_COMMAND
#define PRINTER_COMMAND "lpr"
#endif

#ifndef PLAY_COMMAND
#define PLAY_COMMAND "/bin/false"
#endif

#ifndef MIME_COMMAND
#define MIME_COMMAND "metamail -p" 
#endif


/****************** gopherd configuration ***********************/

/*
**
** This #define is what will be transmitted by the server when it wants to
** refuse service to a client
**
*/

#define BUMMERSTR "This server is for local MUUG access only, sorry."


/*
 * This is the default time to cache directory entries on the server.
 */

#define CACHE_TIME 180  /** Default cache time of three minutes. **/


/*
 * The load average at which to restrict connections
 */
#define MAXLOAD 10.0


/*==============Ftp parameters to be edited in===============*/
#define FTP             "/usr/ucb/ftp"           /* To invoke ftp */
#define LIST            "/tmp/gftpL+"            /* Temp list file prefix */
#define DATA            "/tmp/gftpD+"            /* Temp data file prefix */
/*=============================================================*/


